Class | WSDL::Part
In: | wsdl/part.rb
Parent: | Info

### Methods

new parse_attr parse_element

### Attributes

element | [R] |
name | [R] |
type | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/part.rb, line 20
      def initialize
        super
        @name = nil
        @element = nil
        @type = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/part.rb, line 37
      def parse_attr(attr, value)
        case attr
        when NameAttrName
          @name = value.source
        when ElementAttrName
          @element = value
        when TypeAttrName
          @type = value
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/part.rb, line 27
      def parse_element(element)
        case element
        when DocumentationName
          o = Documentation.new
          o
        else
          nil
        end
      end

[Validate]